<template>
  <ADialog v-model:show="showDialog"
    title="执行记录"
    width="80vw">
    <ScheduleRecode :task-id="taskId"/>
    <template #footer>
      <ElButton @click="showDialog = false">关闭</ElButton>
    </template>
  </ADialog>
</template>
<script lang="ts" setup>
import ScheduleRecode from '@/pages/sys/task/schedule-recode/ScheduleRecode.vue'
import ADialog from '@/components/a-dialog/ADialog.vue'

const showDialog = ref(false)

const taskId = ref('')

defineExpose({
  open(data: string) {
    showDialog.value = true
    taskId.value = data
  },
})
</script>
<style lang="stylus" scoped>
</style>
